local AddOnName, nsVars = ...
local ss = nsVars.SS

local setmetatable = setmetatable
local strlower = strlower

local mtBuffGroupData = {
  ["death knight"] = {
  },
  ["demonhunter"] = {
  },
  ["druid"] = {
    ["guardian"] = { buffGroup = { ss.BuffData.get("druid", "ironfur"),ss.BuffData.get("druid", "markofursol"),ss.BuffData.get("druid", "frenziedregeneration"),ss.BuffData.get("druid", "guardianofelune"), }, },
    ["feral"] = { buffGroup = { ss.BuffData.get("druid", "bloodtalons"),ss.BuffData.get("druid", "bloodtalons2"), }, },
  },
  ["hunter"] = {
  },
  ["mage"] = {
  },
  ["monk"] = {
    ["brewmaster"] = { buffGroup = { ss.BuffData.get("monk", "stagger"), }, },
  },
  ["paladin"] = {
  },
  ["priest"] = {
  },
  ["rogue"] = {
  },
  ["shaman"] = {
    ["enhancement"]    = { buffGroup = { ss.BuffData.get("shaman", "flametongue"),ss.BuffData.get("shaman", "boulderfist"),ss.BuffData.get("shaman", "crashlightning"),ss.BuffData.get("shaman", "doomwinds"), }, },
  },
  ["warlock"] = {
  },
  ["warrior"] = {
    ["fury"]    = { buffGroup = { ss.BuffData.get("warrior", "enrage"),ss.BuffData.get("warrior", "enragedregeneration"),ss.BuffData.get("warrior", "meatcleaver"), }, },
    ["arms"]    = { buffGroup = { ss.BuffData.get("warrior", "focusedrage"),ss.BuffData.get("warrior", "focusedrage2"),ss.BuffData.get("warrior", "focusedrage3"), }, },
  },
};

mtBuffGroupData.get = function(class, spec)
  return mtBuffGroupData[strlower(class)][strlower(spec)]
end

ss["BuffGroupData"] = setmetatable({}, { __index = mtBuffGroupData });
